import * as core from "@terrascript/core";

export interface RestApiPolicyArgs extends core.ResourceArgs {
  policy: string | core.StringOut;

  restApiId: string | core.StringOut;
}

export class RestApiPolicy extends core.Resource<RestApiPolicyArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public policy!: string | core.StringOut;

  @core.attr(String)
  public restApiId!: string | core.StringOut;

  constructor(name: string, args?: RestApiPolicyArgs) {
    super(name, "aws_api_gateway_rest_api_policy", args);
  }

  public override getNamespace(): string {
    return "aws_api_gateway";
  }
}
